Macaulay2 » Documentation
Packages » Macaulay2Doc » rings » basic rings of numbers » RRi » diameter
next | previous | forward | backward | up | index | toc

# diameter -- diameter of an interval

- Usage:
    `x = diameter I`
- Inputs:
  - I, a real interval,
- Outputs:
  - x, a real number,

## Description

Returns the diameter (the difference between the endpoints) of the input interval.

## See also

- left -- left endpoint of an interval
- right -- right endpoint of an interval
- midpoint -- midpoint of an interval

## Ways to use diameter:

- `diameter(RRi)`

## For the programmer

The object diameter is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/doc_intervals.m2:81:0.